# pandas.HDFStore.select

`HDFStore.``select`(key, where=None, start=None, stop=None, columns=None, iterator=False, chunksize=None, auto_close=False, **kwargs)

  Retrieve pandas object stored in file, optionally based on where criteria

  Parameters:

  key : object

  where : list of Term (or convertible) objects, optional

  start : integer (defaults to None), row number to start selection

  stop : integer (defaults to None), row number to stop selection

  columns : a list of columns that if not None, will limit the return

  > columns

  iterator : boolean, return an iterator, default False

  chunksize : nrows to include in iteration, return an iterator

  auto_close : boolean, should automatically close the store when

  > finished, default is False

  Returns: | The selected object

Scroll To Top